Package org.eclipse.gef.common.adapt.inject

# Enum Class AdapterInjectionSupport.LoggingMode

java.lang.Object
java.lang.Enum<AdapterInjectionSupport.LoggingMode>
org.eclipse.gef.common.adapt.inject.AdapterInjectionSupport.LoggingMode

All Implemented Interfaces:
  `Serializable`, `Comparable<AdapterInjectionSupport.LoggingMode>`, `Constable`

Enclosing class:
  AdapterInjectionSupport

public static enum AdapterInjectionSupport.LoggingMode extends Enum<AdapterInjectionSupport.LoggingMode>
The `AdapterInjectionSupport.LoggingMode` specifies if binding-related information and warning messages should be printed.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEVELOPMENT`
In `DEVELOPMENT` mode, all information, warning, and error messages are printed.
`PRODUCTION`
In `PRODUCTION` mode, only error messages are printed, and information or warning messages are suppressed.

## Method Summary

Modifier and Type
Method
Description
`static AdapterInjectionSupport.LoggingMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AdapterInjectionSupport.LoggingMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEVELOPMENT

public static final AdapterInjectionSupport.LoggingMode DEVELOPMENT
In `DEVELOPMENT` mode, all information, warning, and error messages are printed.

### PRODUCTION

public static final AdapterInjectionSupport.LoggingMode PRODUCTION
In `PRODUCTION` mode, only error messages are printed, and information or warning messages are suppressed.

## Method Details

### values

public static AdapterInjectionSupport.LoggingMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AdapterInjectionSupport.LoggingMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null